'use strict';

module.exports = {
  async up(queryInterface, Sequelize) {
    const { INTEGER, STRING, DATE, ENUM, TEXT, JSON } = Sequelize;
    await queryInterface.createTable('items', {
      id: { type: INTEGER, primaryKey: true, autoIncrement: true },
      project_id: INTEGER,
      step_id: INTEGER,
      mission_name: STRING(255),
      status: ENUM('0', '1', '2', '3', '4', '5'),
      deadline: DATE,
      other: STRING(255),
      tags: JSON,
      remark: TEXT,
      userid: INTEGER,
      sort: INTEGER,
      created_at: DATE,
      updated_at: DATE,
    });
  },

  async down(queryInterface) {
    await queryInterface.dropTable('items');
  },
};
